Index: src/mlx/web.py
===================================================================
--- src/mlx/web.py	(revision 930)
+++ src/mlx/web.py	(revision 859)
@@ -1,25 +1,24 @@
 
-from . import const
-from . import util
-from .rpc import Registration
-from . import rpc
-from . import rpccommon
-
-from .common import MAVA_BASE_URL
-from .pirep import PIREP
+import const
+import util
+from rpc import Registration
+import rpc
+import rpccommon
+
+from common import MAVA_BASE_URL
+from pirep import PIREP
 
 import threading
 import sys
-import urllib.request, urllib.parse, urllib.error
-import urllib.request, urllib.error, urllib.parse
+import urllib
+import urllib2
 import hashlib
 import time
-import re
 import datetime
 import codecs
 import traceback
 import xml.sax
-import xmlrpc.client
-import html.parser
+import xmlrpclib
+import HTMLParser
 
 #---------------------------------------------------------------------------------------
@@ -161,5 +160,5 @@
 
         date = readline(f)
-        print("web.BookedFlight.readFromWeb: date:", date)
+        print "web.BookedFlight.readFromWeb: date:", date
         if date=="0000-00-00": date = "0001-01-01"
 
@@ -234,6 +233,6 @@
 
                 if not lineOK:
-                    print("web.BookedFlight.readFromFile: line %d is invalid" % \
-                          (lineNumber,))
+                    print "web.BookedFlight.readFromFile: line %d is invalid" % \
+                          (lineNumber,)
 
             line = f.readline()
@@ -291,26 +290,26 @@
     def writeIntoFile(self, f):
         """Write the flight into a file."""
-        print("callsign=%s" % (self.callsign,), file=f)
+        print >> f, "callsign=%s" % (self.callsign,)
         date = self.departureTime.date()
-        print("date=%04d-%02d-%0d" % (date.year, date.month, date.day), file=f)
-        print("dep_airport=%s" % (self.departureICAO,), file=f)
-        print("dest_airport=%s" % (self.arrivalICAO,), file=f)
-        print("planecode=%s" % \
-              (BookedFlight.TYPE2TYPECODE[self.aircraftType],), file=f)
-        print("planetype=%s" % (self.aircraftTypeName,), file=f)
-        print("tail_nr=%s" % (self.tailNumber,), file=f)
-        print("passenger=%d" % (self.numPassengers,), file=f)
-        print("crew=%d" % (self.numCrew,), file=f)
-        print("bag=%d" % (self.bagWeight,), file=f)
-        print("cargo=%d" % (self.cargoWeight,), file=f)
-        print("mail=%d" % (self.mailWeight,), file=f)
-        print("flight_route=%s" % (self.route,), file=f)
+        print >> f, "date=%04d-%02d-%0d" % (date.year, date.month, date.day)
+        print >> f, "dep_airport=%s" % (self.departureICAO,)
+        print >> f, "dest_airport=%s" % (self.arrivalICAO,)
+        print >> f, "planecode=%s" % \
+              (BookedFlight.TYPE2TYPECODE[self.aircraftType],)
+        print >> f, "planetype=%s" % (self.aircraftTypeName,)
+        print >> f, "tail_nr=%s" % (self.tailNumber,)
+        print >> f, "passenger=%d" % (self.numPassengers,)
+        print >> f, "crew=%d" % (self.numCrew,)
+        print >> f, "bag=%d" % (self.bagWeight,)
+        print >> f, "cargo=%d" % (self.cargoWeight,)
+        print >> f, "mail=%d" % (self.mailWeight,)
+        print >> f, "flight_route=%s" % (self.route,)
         departureTime = self.departureTime
-        print("departure_time=%02d\\:%02d\\:%02d" % \
-              (departureTime.hour, departureTime.minute, departureTime.second), file=f)
+        print >> f, "departure_time=%02d\\:%02d\\:%02d" % \
+              (departureTime.hour, departureTime.minute, departureTime.second)
         arrivalTime = self.arrivalTime
-        print("arrival_time=%02d\\:%02d\\:%02d" % \
-              (arrivalTime.hour, arrivalTime.minute, arrivalTime.second), file=f)
-        print("foglalas_id=%s" % ("0" if self.id is None else self.id,), file=f)
+        print >> f, "arrival_time=%02d\\:%02d\\:%02d" % \
+              (arrivalTime.hour, arrivalTime.minute, arrivalTime.second)
+        print >> f, "foglalas_id=%s" % ("0" if self.id is None else self.id,)
 
     def _readAircraftType(self, f):
@@ -365,5 +364,5 @@
 
         except:
-            print("Plane string is invalid: '" + s + "'", file=sys.stderr)
+            print >> sys.stderr, "Plane string is invalid: '" + s + "'"
             self.tailNumber = None
 
@@ -471,9 +470,9 @@
 #------------------------------------------------------------------------------
 
-class PilotsWebNOTAMsParser(html.parser.HTMLParser):
+class PilotsWebNOTAMsParser(HTMLParser.HTMLParser):
     """XML handler for the NOTAM query results on the PilotsWeb website."""
     def __init__(self):
         """Construct the handler."""
-        html.parser.HTMLParser.__init__(self)
+        HTMLParser.HTMLParser.__init__(self)
 
         self._notams = []
@@ -514,9 +513,9 @@
         try:
             notam = self._parseCurrentNOTAM2()
-        except Exception as e:
-            print("Error parsing current NOTAM: " + str(e))
+        except Exception, e:
+            print "Error parsing current NOTAM: " + str(e)
 
         if notam is None:
-            print("Could not parse NOTAM: " + self._currentNOTAM)
+            print "Could not parse NOTAM: " + self._currentNOTAM
             if self._currentNOTAM:
                 self._notams.append(self._currentNOTAM + "\n")
@@ -527,5 +526,5 @@
         """Parse the current NOTAM, if possible, and return a NOTAM object."""
         lines = self._currentNOTAM.splitlines()
-        lines = [line.strip() for line in lines]
+        lines = map(lambda line: line.strip(), lines)
 
         if len(lines)<4:
@@ -579,9 +578,6 @@
     def _parseCurrentNOTAM2(self):
         """Parse the current NOTAM with a second, more flexible method."""
-        self._currentNOTAM = self._currentNOTAM.replace("\\n", "\n")
         lines = self._currentNOTAM.splitlines()
-        if len(lines)==1:
-            lines = lines[0].splitlines()
-        lines = [line.strip() for line in lines]
+        lines = map(lambda line: line.strip(), lines)
 
         if not lines:
@@ -596,5 +592,5 @@
                 lines = lines[:-1]
 
-        lines = [line.strip() for line in lines]
+        lines = map(lambda line: line.strip(), lines)
         contents = " ".join(lines).split()
 
@@ -618,5 +614,4 @@
 
         def parseTime(item):
-            item = re.sub("([0-9]+).*", "\\1", item)
             try:
                 return datetime.datetime.strptime(item, "%y%m%d%H%M")
@@ -658,6 +653,6 @@
         """Get a representation of the result."""
         s = "<Result:"
-        for (key, value) in self.__dict__.items():
-            s += " " + key + "=" + str(value)
+        for (key, value) in self.__dict__.iteritems():
+            s += " " + key + "=" + unicode(value)
         s += ">"
         return s
@@ -693,5 +688,5 @@
             result = self.run()
             returned = True
-        except Exception as e:
+        except Exception, e:
             traceback.print_exc()
             result = e
@@ -700,6 +695,6 @@
         try:
             self._callback(returned, result)
-        except Exception as e:
-            print("web.Handler.Request.perform: callback throwed an exception: " + util.utf2unicode(str(e)), file=sys.stderr)
+        except Exception, e:
+            print >> sys.stderr, "web.Handler.Request.perform: callback throwed an exception: " + util.utf2unicode(str(e))
             #traceback.print_exc()
 
@@ -774,5 +769,5 @@
         result = Result()
 
-        f = urllib.request.urlopen(url, timeout = 10.0)
+        f = urllib2.urlopen(url, timeout = 10.0)
 
         status = readline(f)
@@ -796,5 +791,7 @@
                 result.flights.append(flight)
 
-            result.flights.sort(key = lambda flight: flight.departureTime)
+            result.flights.sort(cmp = lambda flight1, flight2:
+                                cmp(flight1.departureTime,
+                                    flight2.departureTime))
 
         f.close()
@@ -883,5 +880,5 @@
         url = MAVA_BASE_URL + "/onlinegates_get.php"
 
-        f = urllib.request.urlopen(url, timeout = 10.0)
+        f = urllib2.urlopen(url, timeout = 10.0)
         result = Result()
         result.fleet = Fleet(f)
@@ -925,9 +922,9 @@
         gateNumber = self._gateNumber if self._gateNumber else ""
 
-        data = urllib.parse.urlencode([("lajstrom", self._tailNumber),
+        data = urllib.urlencode([("lajstrom", self._tailNumber),
                                  ("status", status),
                                  ("kapu", gateNumber)])
 
-        f = urllib.request.urlopen(url, data, timeout = 10.0)
+        f = urllib2.urlopen(url, data, timeout = 10.0)
         line = readline(f)
 
@@ -986,5 +983,5 @@
             url = "http://notams.euroutepro.com/notams.xml"
 
-            f = urllib.request.urlopen(url, timeout = 10.0)
+            f = urllib2.urlopen(url, timeout = 10.0)
             try:
                 xmlParser.parse(f)
@@ -1015,9 +1012,9 @@
               (icao.upper(),)
 
-            f = urllib.request.urlopen(url, timeout = 10.0)
+            f = urllib2.urlopen(url, timeout = 10.0)
             try:
                 data = f.read(16384)
                 while data:
-                    parser.feed(str(data))
+                    parser.feed(data)
                     data = f.read(16384)
             finally:
@@ -1026,8 +1023,8 @@
             return parser.getNOTAMs()
 
-        except Exception as e:
+        except Exception, e:
             traceback.print_exc()
-            print("mlx.web.GetNOTAMs.getPilotsWebNOTAMs: failed to get NOTAMs for '%s': %s" % \
-                  (icao, str(e)))
+            print "mlx.web.GetNOTAMs.getPilotsWebNOTAMs: failed to get NOTAMs for '%s': %s" % \
+                  (icao, str(e))
             return None
 
@@ -1045,5 +1042,5 @@
         """Perform the retrieval opf the METARs."""
         url = "http://www.aviationweather.gov/adds/dataserver_current/httpparam?"
-        data = urllib.parse.urlencode([ ("dataSource" , "metars"),
+        data = urllib.urlencode([ ("dataSource" , "metars"),
                                   ("requestType",  "retrieve"),
                                   ("format", "csv"),
@@ -1052,10 +1049,9 @@
                                   ("mostRecentForEachStation", "constraint")])
         url += data
-        f = urllib.request.urlopen(url, timeout = 10.0)
+        f = urllib2.urlopen(url, timeout = 10.0)
         try:
             result = Result()
             result.metars = {}
-            for line in f.readlines():
-                line = str(line, "iso-8859-1")
+            for line in iter(f.readline, ""):
                 if len(line)>5 and line[4]==' ':
                     icao = line[0:4]
@@ -1132,10 +1128,10 @@
         data["insdate"] = datetime.date.today().strftime("%Y-%m-%d")
 
-        postData = urllib.parse.urlencode(data)
-        f = urllib.request.urlopen(url, postData, timeout = 10.0)
+        postData = urllib.urlencode(data)
+        f = urllib2.urlopen(url, postData, timeout = 10.0)
         try:
             result = Result()
             line = f.readline().strip()
-            print("PIREP result from website:", line)
+            print "PIREP result from website:", line
             result.success = line=="OK"
             result.alreadyFlown = line=="MARVOLT"
@@ -1182,5 +1178,5 @@
     def run(self):
         """Perform the sending of the ACARS."""
-        print("Sending the online ACARS")
+        print "Sending the online ACARS"
 
         url = MAVA_BASE_URL  + "/acars2/acarsonline.php"
@@ -1208,5 +1204,5 @@
         data["event"] = acars.getEventText()
 
-        f = urllib.request.urlopen(url, urllib.parse.urlencode(data), timeout = 10.0)
+        f = urllib2.urlopen(url, urllib.urlencode(data), timeout = 10.0)
         try:
             result = Result()
@@ -1227,5 +1223,5 @@
     def run(self):
         """Perform the sending of the ACARS."""
-        print("Sending the online ACARS via JSON-RPC")
+        print "Sending the online ACARS via JSON-RPC"
 
         self._client.updateOnlineACARS(self._acars)
@@ -1247,5 +1243,5 @@
     def run(self):
         """Perform the sending of the bug report."""
-        serverProxy = xmlrpc.client.ServerProxy("http://mlx.varadiistvan.hu/rpc")
+        serverProxy = xmlrpclib.ServerProxy("http://mlx.varadiistvan.hu/rpc")
 
         result = Result()
@@ -1258,5 +1254,5 @@
         result.ticketID = serverProxy.ticket.create(self._summary, self._description,
                                                     attributes, True)
-        print("Created ticket with ID:", result.ticketID)
+        print "Created ticket with ID:", result.ticketID
         result.success = True
 
@@ -1292,5 +1288,5 @@
 
         pirepData = self._client.getPIREP(self._flightID)
-        print("pirepData:", pirepData)
+        print "pirepData:", pirepData
 
         bookedFlight = BookedFlight(self._flightID)
@@ -1516,5 +1512,5 @@
 
     def callback(returned, result):
-        print(returned, str(result))
+        print returned, unicode(result)
 
     handler = Handler()
Index: src/mlx/xplane.py
===================================================================
--- src/mlx/xplane.py	(revision 921)
+++ src/mlx/xplane.py	(revision 909)
@@ -1,7 +1,7 @@
 
-from . import fs
-from . import const
-from . import util
-from .watchdog import Watchdog
+import fs
+import const
+import util
+from watchdog import Watchdog
 
 import threading
@@ -12,5 +12,4 @@
 import codecs
 import math
-from functools import total_ordering
 
 from xplra import XPlane, MultiGetter, MultiSetter, ProtocolException
@@ -107,5 +106,5 @@
             else:
                 return False
-        except ProtocolException as e:
+        except ProtocolException, e:
             self._result = None
             return True
@@ -149,5 +148,4 @@
         return True
 
-@total_ordering
 class PeriodicRequest(object):
     """A periodic request."""
@@ -200,15 +198,8 @@
         pass
 
-    def __eq__(self, other):
-        """Equality comparison by the firing times"""
-        return self._nextFire == other._nextFire
-
-    def __ne__(self, other):
-        """Non-equality comparison by the firing times"""
-        return self._nextFire != other._nextFire
-
-    def __lt__(self, other):
-        """Less-than comparison by the firing times"""
-        return self._nextFire < other._nextFire
+    def __cmp__(self, other):
+        """Compare two periodic requests. They are ordered by their next
+        firing times."""
+        return cmp(self._nextFire, other._nextFire)
 
 class PeriodicDataRequest(PeriodicRequest):
@@ -250,6 +241,6 @@
         try:
             return fun()
-        except Exception as e:
-            print(util.utf2unicode(str(e)), file=sys.stderr)
+        except Exception, e:
+            print >> sys.stderr, util.utf2unicode(str(e))
             return None
 
@@ -321,6 +312,6 @@
             try:
                 multiGetter.execute()
-            except ProtocolException as e:
-                print("xplane.Handler._performRead: " + str(e))
+            except ProtocolException, e:
+                print "xplane.Handler._performRead: " + str(e)
                 raise
 
@@ -523,8 +514,8 @@
                 self._connected = True
                 return attempts
-            except Exception as e:
-                print("xplane.Handler._connect: connection failed: " + \
+            except Exception, e:
+                print "xplane.Handler._connect: connection failed: " + \
                       util.utf2unicode(str(e)) + \
-                      " (attempts: %d)" % (attempts,))
+                      " (attempts: %d)" % (attempts,)
                 if attempts<self.NUM_CONNECTATTEMPTS:
                     time.sleep(self.CONNECT_INTERVAL)
@@ -558,5 +549,5 @@
     def _disconnect(self):
         """Disconnect from the flight simulator."""
-        print("xplane.Handler._disconnect")
+        print "xplane.Handler._disconnect"
         if self._connected:
             try:
@@ -587,10 +578,10 @@
             try:
                 if not request.process(time):
-                    print("xplane.Handler._processRequest: X-Plane returned invalid data too many times, reconnecting")
+                    print "xplane.Handler._processRequest: X-Plane returned invalid data too many times, reconnecting"
                     needReconnect = True
             except Exception as e:
-                print("xplane.Handler._processRequest: X-Plane connection failed (" + \
+                print "xplane.Handler._processRequest: X-Plane connection failed (" + \
                       util.utf2unicode(str(e)) + \
-                      "), reconnecting (attempts=%d)." % (attempts,))
+                      "), reconnecting (attempts=%d)." % (attempts,)
                 needReconnect = True
 
@@ -813,5 +804,5 @@
 
         duration is the number of seconds to keep the message displayed."""
-        print("xplra.Simulator.sendMessage:", message)
+        print "xplra.Simulator.sendMessage:", message
         self._handler.requestShowMessage(message, duration,
                                          self._handleMessageSent,
@@ -896,5 +887,5 @@
         assert not self._monitoringRequested
 
-        print("xplra.Simulator.disconnect", closingMessage, duration)
+        print "xplra.Simulator.disconnect", closingMessage, duration
 
         self._stopNormal()
@@ -947,6 +938,6 @@
         if self._lastZuluSeconds is not None and \
            zuluSeconds<self._lastZuluSeconds:
-            print("xplane.Simulator._getTimestamp: Zulu seconds have gone backwards (%f -> %f), increasing day offset" % \
-              (self._lastZuluSeconds, zuluSeconds))
+            print "xplane.Simulator._getTimestamp: Zulu seconds have gone backwards (%f -> %f), increasing day offset" % \
+              (self._lastZuluSeconds, zuluSeconds)
             self._timestampDaysOffset += 1
 
@@ -1025,6 +1016,6 @@
             return False
 
-        print("xplane.Simulator: new data: %s, %s, %s, %s, %s, %s" % \
-              (tailnum, author, description, notes, icao, liveryPath))
+        print "xplane.Simulator: new data: %s, %s, %s, %s, %s, %s" % \
+              (tailnum, author, description, notes, icao, liveryPath)
 
         self._aircraftInfo = aircraftInfo
@@ -1149,7 +1140,6 @@
             self._handler.disconnect()
 
-    def _handleHotkeysRegistered(self, success, xxx_todo_changeme2):
+    def _handleHotkeysRegistered(self, success, (id, generation)):
         """Handle the result of the hotkeys having been written."""
-        (id, generation) = xxx_todo_changeme2
         with self._hotkeyLock:
             if success and id==self._hotkeySetID and \
@@ -1160,7 +1150,6 @@
                                                     (id, generation))
 
-    def _handleHotkeys(self, data, xxx_todo_changeme3):
+    def _handleHotkeys(self, data, (id, generation)):
         """Handle the hotkeys."""
-        (id, generation) = xxx_todo_changeme3
         with self._hotkeyLock:
             if id!=self._hotkeySetID or generation!=self._hotkeySetGeneration:
@@ -1628,6 +1617,6 @@
                               [level * self._fuelTankCapacities[index]]) )
             except:
-                print("xplane.Simulator.setFuelLevel: invalid tank constant: %d" % \
-                  (tank,))
+                print "xplane.Simulator.setFuelLevel: invalid tank constant: %d" % \
+                  (tank,)
 
         handler.requestWrite(data, self._handleFuelWritten)
@@ -1759,9 +1748,8 @@
     """Model handler for the FlyJSim Dash 8-Q400."""
     @staticmethod
-    def doesHandle(aircraft, xxx_todo_changeme):
+    def doesHandle(aircraft, (tailnum, author, description, notes,
+                              icao, liveryPath)):
         """Determine if this model handler handles the aircraft with the given
         name."""
-        (tailnum, author, description, notes,
-                              icao, liveryPath) = xxx_todo_changeme
         return aircraft.type==const.AIRCRAFT_DH8D and \
           description.find("Dash 8 Q400")!=-1 and \
@@ -1921,9 +1909,8 @@
     """Model for Felis' Tupolev Tu-154-M aircraft."""
     @staticmethod
-    def doesHandle(aircraft, xxx_todo_changeme1):
+    def doesHandle(aircraft, (tailnum, author, description, notes,
+                              icao, liveryPath)):
         """Determine if this model handler handles the aircraft with the given
         name."""
-        (tailnum, author, description, notes,
-                              icao, liveryPath) = xxx_todo_changeme1
         return aircraft.type==const.AIRCRAFT_T154 and \
           author.find("Felis")!=-1 and \
